A new RPM should be installed

Oracle production databases are getting upgraded from version 12c to 19c soon. 

For java programs at the test cells to correctly connect to the new version of the databases, the jdbc_oracle_12c_to_19c_update RPM must be installed. This RPM makes changes to configuration files pertaining to connection strings to the different Oracle databases. All the files that are modified from this RPM are backed up. The changes to the files are backward compatible and can be installed any time before the upgrade and things will continue to work.

At each test cell node, the following command should be executed:

sudo yum install jdbc_oracle_12c_to_19c_update

If this RPM is not installed, connections to the databases referenced by java will no longer be made successfully once the database versions have been upgraded.

It is not a bad idea to execute the start_…_loading scripts after the RPM is installed to reestablish the java connections.¬† Reestablishing these java connections ensures the database connections will be good when the upgrades happen.

This RPM will be automatically installed with future versions of CyFlex, starting with the cyflex.6.3.30 version.